> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата

> Получение текущего результата генерации по jobId



## OpenAPI

````yaml openapi/ru/grokimage.json post /grok/image/fetch
openapi: 3.1.0
info:
  title: Документация API изображений Grok
  version: 1.0.0
  description: >-
    API изображений Grok обеспечивает эффективный анализ и создание изображений,
    помогая разработчикам быстро интегрировать интеллектуальные функции
    изображений.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/image/fetch:
    post:
      description: Получение текущего результата генерации по jobId
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Идентификатор сгенерированного изображения
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: >-
                      Статус задачи: ожидание очереди / в очереди / успех /
                      ошибка
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      finishTime:
                        type: string
                        description: 'Время завершения, формат: YYYY-MM-DD HH:mm:ss'
                      prompt:
                        type: string
                        description: Промпт для генерации видео
                      quota:
                        type: string
                        description: Израсходованная quota
                      hookUrl:
                        type:
                          - string
                          - 'null'
                        description: URL обратного вызова, null если не задан
                      aspectRatio:
                        type: string
                        description: Соотношение сторон видео, например. 1:1
                      images:
                        type: array
                        description: >-
                          URL референс-изображений. Срок действия: см. [Хранение
                          и устойчивость](/grids/ru/faq/storage)
                example:
                  status: SUCCESS
                  message: success
                  jobId: 9e73af91-6fe4-4833-9005-b63cb741619d
                  data:
                    prompt: A cute little cat
                    'n': 1
                    aspectRatio: '1:1'
                    images:
                      - >-
                        https://cdn.ttapi.io/grok/2026-03-23/27790f48a54240ad8a1b5ca28a7c94a3.jpg
                    quota: '0'
                    finishTime: '2026-03-23 07:23:50'
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Перейдите в <a href='https://dashboard.ttapi.io' target='_blank'>консоль
        TTAPI</a>, чтобы получить API-ключ.

````